Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class BooleanConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.EnumerationConfigOption
              net.hyperic.util.config.BooleanConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class BooleanConfigOption
extends EnumerationConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` | `BooleanConfigOption()` Should only be used by serializer/deserializer
`` | `BooleanConfigOption(java.lang.String optName, java.lang.String optDesc, boolean defValue)`

Methods inherited from class net.hyperic.util.config.EnumerationConfigOption
`addValue, checkOptionIsValid, getTransport, getValues`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanConfigOption

    protected BooleanConfigOption()

  Should only be used by serializer/deserializer

### BooleanConfigOption

    public BooleanConfigOption(java.lang.String optName,
                               java.lang.String optDesc,
                               boolean defValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.